/******************************************************************************
This file is the source code for the test program for the TRasDialer component.
It should help you to figure out how to use the component.
copyright 1999 Laurent Savaete
******************************************************************************/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "TestMain.h"
//---------------------------------------------------------------------------
#pragma link "rasdialer"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
for (int i=0;i<Dialer->EntryCount;i++) {
	ComboBox->Items->Add(Dialer->Entries[i]->Name);
	}
CheckState->Checked = Dialer->CheckConnection;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CheckStateClick(TObject *Sender)
{
Dialer->CheckConnection = CheckState->Checked;
if (Dialer->CheckConnection) {
	Memo->Lines->Add("Check Active");
} else {
	Memo->Lines->Add("Check inactive");
}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::TimeEditKeyPress(TObject *Sender, char &Key)
{
if (Key == VK_RETURN) {
        Dialer->CheckInterval = TimeEdit->Text.ToIntDef(2000);
		Memo->Lines->Add(AnsiString((int)Dialer->CheckInterval));
}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::DialerConnect(TObject *Sender, int index)
{
if (index>-1) {
	Memo->Lines->Add(Dialer->Entries[index]->Name + "Active");
}
}
//---------------------------------------------------------------------------
void __fastcall TForm1::DialerDisconnect(TObject *Sender)
{
Memo->Lines->Add("Disconnected");
}
//---------------------------------------------------------------------------
void __fastcall TForm1::CallBtnClick(TObject *Sender)
{
Dialer->Entries[ComboBox->ItemIndex]->UserName = UserEdit->Text;
Dialer->Entries[ComboBox->ItemIndex]->PassWord = PassEdit->Text;
Dialer->Dial(Dialer->Entries[ComboBox->ItemIndex]);
Memo->Lines->Add("Connectiong to " + Dialer->Entries[ComboBox->ItemIndex]->Name);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::HangUpBtnClick(TObject *Sender)
{
Memo->Lines->Add("Hanging up");
Dialer->HangUp(Dialer->Entries[ComboBox->ItemIndex]);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::NewConnBtnClick(TObject *Sender)
{
Dialer->AddEntry();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::EditConnBtnClick(TObject *Sender)
{
Dialer->EditEntry(Dialer->Entries[ComboBox->ItemIndex]);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::DialerDialEvent(TObject *Sender, AnsiString ConnState,
	int Error)
{
Memo->Lines->Add(ConnState + "/ error code : "+ AnsiString(Error));
}
//---------------------------------------------------------------------------
